rio_get_device_id
Prev | Enumeration and Discovery | Next

## Name

rio_get_device_id — Get the base/extended device id for a device

## Synopsis

`u16 rio_get_device_id (` | struct rio_mport * | port,
| u16 | destid,
| u8 | hopcount`)`;

## Arguments

`port`

  RIO master port

`destid`

  Destination ID of device

`hopcount`

  Hopcount to device

## Description

Reads the base/extended device id from a device. Returns the 8/16-bit device ID.

Prev | Up | Next
Enumeration and Discovery | Home | rio_set_device_id